//import visad.*;
//import visad.java3d.DisplayImplJ3D;
//import visad.java2d.DisplayImplJ2D;
import java.rmi.RemoteException;
import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
class fa extends f_xj
{
int n;
public double func(double x[]) 
{

//çözümü istenen fonksiyon	
double ff=0;
int n=x.length;
for(int i=0;i<n;i++)
{ff+=-Math.sin(x[i])*Math.pow(Math.sin((i+1)*x[i]*x[i]/Math.PI),20)+5;}
return ff; //maksimum testi
}
}

  public class Plot3DT3
  {
  public static void main(String[] args) throws RemoteException
  { fa f=new fa();
    ContourPlot p=new ContourPlot(f,0.0,5.0,30,0.0,5.0,30,20,true,"x","y","z"); 
    p.plot();
  }}
